Subject: Re: bug#32729: Xemacs 23 times as fast as GNU Emacs

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 13 Oct 2019 19:47:16 +0200

Eli Zaretskii <[email-masked]> writes:

>> >> (Note: Don't visit the " *zeroes*" buffer after this, because that will
>> >> hang Emacs totally.  I guess the long-line display problem hasn't been
>> >> fixed after all?)
>> >
>> > It's unrelated.  Did you try to insert that into a unibyte buffer
>> > instead?
>> 
>> Nope.  Does Emacs need to do a lot of recomputing when going to
>> multibyte buffers?
>
> Of course: we try to display the multibyte text as characters, search
> for fonts, invoke bidi reordering, etc.

I tried:

(benchmark-run
    1
  (call-process "dd" nil (with-current-buffer
			     (get-buffer-create " *zeroes*")
			   (set-buffer-multibyte nil)
			   (current-buffer))
		nil "if=/dev/zero" "bs=4096" "count=250000"))

and then jumped to the buffer, and Emacs hung anyway.  (That is, I
killed Emacs after a minute, so I don't know whether it would have
recovered after a while...)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no